<div class="ui grid">
    <div class="twelve wide column">
        <form class="ui form" [formGroup]="bookForm" (ngSubmit)="onBookFormSubmit()">
            <h2 class="ui dividing header">Add new book</h2>
            <div class="field">
              <div class="two fields">
                <div class="field" [ngClass]="{error: titleHasErrors()}" data-tooltip="Title can contain only letters, numbers, -, ! and ?." data-position="bottom right" data-inverted="">
                    <label>Title:</label>
                  <input type="text" placeholder="Title" formControlName="title">
                </div>
                <div class="field" [ngClass]="{error: authorHasErrors()}" data-tooltip="Author can contain only letters and -." data-position="bottom right" data-inverted="">
                    <label>Author:</label>
                  <input type="text" placeholder="Author" formControlName="author">
                </div>
              </div>
            </div>
            
            <div class="fields">
                <div class="three wide field">
                    <label>Genre:</label>
                    <select class="ui fluid dropdown" formControlName="genre">
                        <option *ngFor="let genre of genres" [value]="genre">{{genre}}</option>
                    </select>
                </div>
              <div class="three wide field" [ngClass]="{error: numberOfPagesHasErrors()}" data-tooltip="Number of pages must be a number." data-position="bottom right" data-inverted="">
                <label>Number of pages:</label>
                <input type="text" maxlength="5" placeholder="Number of pages" formControlName="numberOfPages">
              </div>
              <div class="two wide field">
                <label>Rating:</label>
                  <div class="field">
                    <select class="ui fluid search dropdown" formControlName="rating">
                      <option value="1">1</option>
                      <option value="2">2</option>
                      <option value="3">3</option>
                      <option value="4">4</option>
                      <option value="5">5</option>
                    </select>
                  </div>
              </div>
              <div class="two wide field" [ngClass]="{error: booksAvailableHasErrors()}" data-tooltip="Books available must be a number." data-position="bottom right" data-inverted="">
                <label>Books available:</label>
                <input type="text" maxlength="3" placeholder="Books available" formControlName="booksAvailable">
              </div>
            </div>
        
            <div class="eight wide field" [ngClass]="{error: publisherHasErrors()}" data-tooltip="Publisher can contain only letters." data-position="bottom right" data-inverted="">
                <label>Publisher:</label>
              <input type="text" placeholder="Publisher" formControlName="publisher">
            </div>
             
            <div class="field" [ngClass]="{error: descriptionHasErrors()}">
                <label>Description:</label>
                <textarea rows="10" style="resize:none" placeholder="Enter description" formControlName="description"></textarea>
            </div>
        
            <button class="ui right floated button" type="submit">
                Add book
            </button>
        
        </form>
        
    </div>
</div>

